RNAstructure_java_drawing.source.runners

## Class RunnerTemplate

- java.lang.Object
- - RNAstructure_java_drawing.source.runners.RunnerTemplate

Direct Known Subclasses:
  PlotRunner, StructureRunner

    public abstract class RunnerTemplate
    extends Object

A class that templates the way in which the RNAstructure Java drawing framework is run independently.

### Constructor Summary

Constructors
Constructor and Description
`RunnerTemplate(String libraryName)` Constructor.

### Method Summary

Methods
`void` `addClosingListener(JDialog dialog)` Add a listener to the dialog spawned by this template that exits the application when the dialog is closed.
`protected abstract String` `selectFile()` Select an image file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunnerTemplate

    public RunnerTemplate(String libraryName)

Constructor.

Parameters:
  `libraryName` - The name of the native library connected to this template.

### Method Detail

#### addClosingListener

    public void addClosingListener(JDialog dialog)

Add a listener to the dialog spawned by this template that exits the application when the dialog is closed.

Parameters:
  `dialog` - The dialog to close.

#### selectFile

    protected abstract String selectFile()

Select an image file.

Returns:
  The image file.